variable "proxmox_password" {
  type = string
}

variable "target_node" {
  type = string
}

variable "clone_template" {
  type = string
}

variable "vm_name" {
  type = string
}

variable "cores" {
  type = number
}

variable "memory" {
  type = number
}

variable "disk_size" {
  type = string
}

variable "sockets" {
  type = number
}

variable "bridge" {
  type = string
}

variable "disk_type" {
  type = string
}

variable "storage" {
  type = string
}

variable "pm_api_url" {
  type = string
}

variable "pm_user" {
  type = string
}

variable "alpaca_count" {
  type        = number
  default     = 1
  description = "How many Alpaca VMs to create"
}

variable "llama_count" {
  type        = number
  default     = 1
  description = "How many Llama VMs to create"
}

variable "alpaca_vm_count" {
  type        = number
  default     = 1
  description = "How many Alpaca VMs to create"
}

variable "llama_vm_count" {
  type        = number
  default     = 1
  description = "How many Llama VMs to create"
}

variable "TS_AUTHKEY" {
  type        = string
  description = "Tailscale auth key used in cloud-init"
}

variable "SSH_KEY_PUBLIC" {
  type        = string
  description = "My Public SSH key fo ssh auth list"
}
